<?php

namespace Drupal\commerce_vado\Plugin\Commerce\VadoGroupWidget;

use Drupal\Core\Form\FormStateInterface;

/**
 * Provides the select list vado group widget.
 *
 * @CommerceVadoGroupWidget(
 *   id = "select_list",
 *   label = @Translation("Select List"),
 * )
 */
class SelectList extends VadoGroupWidgetBase {

  /**
   * {@inheritDoc}
   */
  public function buildElement(array $form, FormStateInterface $form_state) {
    $build = [
      '#type' => 'select',
      '#title' => $this->t($this->parentEntity->label()),
      '#options' => $this->buildGroupItemOptions(),
      '#default_value' => $this->getDefaultValue(),
      '#required' => $this->parentEntity->isRequired(),
      '#empty_value' => $this->showEmptyOption() ? '' : NULL,
      '#ajax' => [
        'callback' => [get_class($form_state->getFormObject()), 'ajaxRefresh'],
        'wrapper' => $form['#wrapper_id'],
      ],
    ];

    return $build;
  }

}
